Index: channels/chan_unistim.c
===================================================================
--- channels/chan_unistim.c	(revision 416335)
+++ channels/chan_unistim.c	(working copy)
@@ -2008,6 +2008,11 @@
 	struct unistimsession *s = l->parent->session;
 	int res;
 
+	if (s == NULL) {
+		ast_log(LOG_WARNING, "Do not start switch on '%s@%s-%u' while session is invalid!\n", l->name, l->parent->name, sub->subtype);
+		return NULL;
+	}
+
 	ast_verb(3, "Starting switch on '%s@%s-%u' to %s\n", l->name, l->parent->name, sub->subtype, s->device->phone_number);
 	ast_copy_string(chan->exten, s->device->phone_number, sizeof(chan->exten));
 	ast_copy_string(s->device->redial_number, s->device->phone_number,
